/**
 @param {object} user - The user being created
 @param {string} user.tenant - Auth0 tenant name
 @param {string} user.username - user name
 @param {string} user.password - user's password
 @param {string} user.email - email
 @param {boolean} user.emailVerified - is e-mail verified?
 @param {string} user.phoneNumber - phone number
 @param {boolean} user.phoneNumberVerified - is phone number verified?
 @param {object} context - Auth0 connection and other context info
 @param {string} context.requestLanguage - language of the client agent
 @param {object} context.connection - information about the Auth0 connection
 @param {object} context.connection.id - connection id
 @param {object} context.connection.name - connection name
 @param {object} context.connection.tenant - connection tenant
 @param {object} context.webtask - webtask context
 @param {function} cb - function (error, response)
 */
module.exports = function (user, context, cb) {
    var response = {};
    var reg = /(@netapp\.com$|@test-netapp.com$|@netapp-test\.com$|^netapp-test|^stagoccm|@korelogic.com$)/;

    if(reg.test(user.email.toLowerCase())){
        response.user = user;
        return cb(null, response)
    }else{
        return cb(new UnauthorizedError('Access denied - Internal Only'));
    }
};
