function mfaRule (user, context, callback) {
    if(user.app_metadata && user.app_metadata.ignoreMfa){
        return callback(null, user, context);
    }

    const hasMfa = context.authentication && context.authentication.methods && context.authentication.methods.find(method => method.name === "mfa");
    const needsMfaAlways = false;
    const needsMfaOnce = context.clientName === "Contrail-SPA";

    if (needsMfaAlways || (needsMfaOnce && !hasMfa)){
        context.multifactor = {
            provider: 'any',

            // optional
            issuer: 'NetApp Cloud Central%STAGE%',

            // optional, defaults to true. Set to false to force Google Authenticator every time.
            // See https://auth0.com/docs/multifactor-authentication/custom#change-the-frequency-of-authentication-requests for details
            allowRememberBrowser: false
        };
    }
    callback(null, user, context);
}