const nodemailer = require('nodemailer');

exports.sendInternalEmail = (subject, body, mailList) => {
    const addressString = mailList.join(",");
    console.log(`Attempting to send '${subject}' internal notification email`);
    const transporter = nodemailer.createTransport({
        host: 'smtp.hubapi.com',
        port: 465,
        secure: true,
        auth: {
            user: process.env.hubspotSmtpUserName,
            pass: process.env.hubspotSmtpPassword
        }
    });
    const mailOptions = {
        from: '"NetApp Support Internal" <saas.support@NetApp.com>',
        to: addressString,
        subject,
        html: body
    };

    return new Promise(resolve => { // promise always resolves, even if there is an error
        transporter.sendMail(mailOptions, (err, info) => {
            if (err) {
                console.error(`Failed sending internal email: ${subject}:`);
                console.log(`Message body: ${body}`);
                console.log(err);
                resolve();
            } else {
                console.log(`Internal '${subject}' email sent successfully. Message %s sent: %s`, info.messageId, info.response);
                resolve();
            }
        });
    });
};
