const moment = require("moment/moment");

exports.promiseInspect = promise => promise.then(
    value => ({ value, status: "fulfilled" }),
    error => ({ error, status: "rejected" })
);

exports.processTimestamp = (isoString, reduceTo = "daily") => {
    const momentWithEpoch = moment(isoString).utc();
    if (reduceTo === "daily") {
        momentWithEpoch.startOf("day");
    } else {
        momentWithEpoch.startOf("hour");
    }
    return momentWithEpoch.valueOf();
};

exports.fromUnixToIsoString = unixTimestamp => moment(unixTimestamp).utc().toISOString(true);
