import React from 'react';
import {storiesOf} from '@storybook/react';
import { ReactComponent as NetAppLogo } from 'ui-components/src/images/netapp-services/ic-netapp.svg';
import { ReactComponent as CloudInsightLogo } from 'ui-components/src/images/netapp-services/ic-cloud-insights.svg';
import { ReactComponent as CloudSentryLogo } from 'ui-components/src/images/netapp-services/ic-cloud-sentry.svg';
import { ReactComponent as CloudSyncLogo } from 'ui-components/src/images/netapp-services/ic-cloud-sync.svg';
import { ReactComponent as CloudTieringLogo } from 'ui-components/src/images/netapp-services/ic-cloud-tiering.svg';
import { ReactComponent as CvoLogo } from 'ui-components/src/images/netapp-services/ic-cvo.svg';
import { ReactComponent as CvsLogo } from 'ui-components/src/images/netapp-services/ic-cvs.svg';
import { ReactComponent as KubernetesLogo } from 'ui-components/src/images/netapp-services/ic-kubernetes.svg';
import { ReactComponent as SaasBackupLogo } from 'ui-components/src/images/netapp-services/ic-saas-backup.svg';
import { ReactComponent as CloudBackupLogo } from 'ui-components/src/images/netapp-services/ic-cloud-backup.svg';
import { ReactComponent as NativeLogo } from 'ui-components/src/images/netapp-services/ic-native.svg';
import { ReactComponent as NetAppLogoFull } from 'ui-components/src/images/netapp-services/netapp-logo.svg';

import { ReactComponent as AssessmentIcon } from 'ui-components/src/images/2-colors-icons/ic-assessments.svg';
import { ReactComponent as CaseStudyIcon } from 'ui-components/src/images/2-colors-icons/ic-case-study.svg';
import { ReactComponent as ClientManagementIcon } from 'ui-components/src/images/2-colors-icons/ic-client-manage.svg';
import { ReactComponent as CommissionsExplainedIcon } from 'ui-components/src/images/2-colors-icons/ic-hyperscaler-commission.svg'
import { ReactComponent as ContactUsIcon } from 'ui-components/src/images/2-colors-icons/contact-us.svg';
import { ReactComponent as DemoIcon } from 'ui-components/src/images/2-colors-icons/demo.svg';
import { ReactComponent as DocumentIcon } from 'ui-components/src/images/2-colors-icons/ic-document.svg';
import { ReactComponent as DocumentationIcon } from 'ui-components/src/images/2-colors-icons/ic-documentation.svg';
import { ReactComponent as FaqIcon } from 'ui-components/src/images/2-colors-icons/faq.svg';
import { ReactComponent as FeatureFlagsIcon } from 'ui-components/src/images/2-colors-icons/ic-feature-flags.svg';
import { ReactComponent as IntegrationInstructionsIcon } from 'ui-components/src/images/2-colors-icons/ic-integration-instructions.svg';
import { ReactComponent as MailingListIcon } from 'ui-components/src/images/2-colors-icons/ic-mailing-list.svg';
import { ReactComponent as MonthlyDemoIcon } from 'ui-components/src/images/2-colors-icons/ic-monthly-demo.svg';
import { ReactComponent as PartnersIcon } from 'ui-components/src/images/2-colors-icons/ic-partner.svg';
import { ReactComponent as PressReleaseIcon } from 'ui-components/src/images/2-colors-icons/ic-press-release.svg';
import { ReactComponent as ProtectionLogo } from 'ui-components/src/images/2-colors-icons/ic-protection.svg';
import { ReactComponent as RocketIcon } from 'ui-components/src/images/2-colors-icons/rocket.svg';
import { ReactComponent as SalesBellIcon } from "ui-components/src/images/2-colors-icons/ic-sales-bell.svg";
import { ReactComponent as SalesEnablementIcon } from "ui-components/src/images/2-colors-icons/ic-sales-enablement.svg";
import { ReactComponent as TrainingIcon } from 'ui-components/src/images/2-colors-icons/ic-training.svg';
import { ReactComponent as VideoIcon } from "ui-components/src/images/2-colors-icons/ic-video.svg";
import { ReactComponent as WebinarIcon } from "ui-components/src/images/2-colors-icons/ic-webinar.svg";
import { ReactComponent as StyleGuideIcon } from "ui-components/src/images/2-colors-icons/ic-style-guide.svg";
import { ReactComponent as ConnectionManagementIcon } from "ui-components/src/images/2-colors-icons/ic-connection.svg";
import { ReactComponent as UserManagementIcon } from "ui-components/src/images/2-colors-icons/ic-user-manage.svg";
import { ReactComponent as WorkspaceIcon } from "ui-components/src/images/2-colors-icons/ic-workspace.svg";

import { ReactComponent as DisasterRecoveryIcon } from "ui-components/src/images/workloads/ic-disaster-recovery.svg"
import { ReactComponent as EnterpriseApplicationIcon } from "ui-components/src/images/workloads/ic-enterprise.svg"
import { ReactComponent as SaasApplicationsIcon } from "ui-components/src/images/workloads/ic-saas-app.svg"
import { ReactComponent as SaasDataBackupIcon } from "ui-components/src/images/workloads/ic-backup.svg"
import { ReactComponent as FileServicesIcon } from "ui-components/src/images/workloads/ic-file-services.svg"
import { ReactComponent as AnalyticsIcon } from "ui-components/src/images/workloads/ic-analytics.svg"
import { ReactComponent as DevopsIcon } from "ui-components/src/images/workloads/ic-devops.svg"
import { ReactComponent as DatabaseIcon } from "ui-components/src/images/workloads/ic-database.svg"

import { ReactComponent as AgentIcon } from 'ui-components/src/images/monochrome-icons/ic-agent.svg';
import { ReactComponent as ArrowCircleIcon } from "ui-components/src/images/monochrome-icons/arrow-circle-icon.svg"
import { ReactComponent as BackArrow } from "ui-components/src/images/monochrome-icons/back-arrow-icon.svg"
import { ReactComponent as BulletChevron } from "ui-components/src/images/monochrome-icons/bullet-chevron-icon.svg"
import { ReactComponent as EditPencil } from "ui-components/src/images/monochrome-icons/edit-pencil-icon.svg"
import { ReactComponent as FabricView } from "ui-components/src/images/monochrome-icons/fabric-view-icon.svg"
import { ReactComponent as Tooltip } from "ui-components/src/images/monochrome-icons/ic-tooltip.svg"
import { ReactComponent as OopsCloud } from "ui-components/src/images/monochrome-icons/oops-cloud.svg"
import { ReactComponent as XCircle } from "ui-components/src/images/monochrome-icons/x-circle-icon.svg"
import { ReactComponent as XIcon } from "ui-components/src/images/monochrome-icons/x-icon.svg"
import { ReactComponent as BarChart } from "ui-components/src/images/monochrome-icons/bar-chart-icon.svg"
import { ReactComponent as ProtectionIcon } from 'ui-components/src/images/monochrome-icons/protection-icon.svg';
import { ReactComponent as SavingsIcon } from 'ui-components/src/images/monochrome-icons/savings-icon.svg';
import { ReactComponent as NotifyIcon } from 'ui-components/src/images/monochrome-icons/notify-icon.svg';
import { ReactComponent as NEArrowIcon } from 'ui-components/src/images/monochrome-icons/ne-arrow-icon.svg';
import { ReactComponent as SettingsIcon } from 'ui-components/src/images/monochrome-icons/ic-settings.svg';
import { ReactComponent as AccountAdminIcon } from 'ui-components/src/images/monochrome-icons/ic-account-admin.svg';
import { ReactComponent as MoreIcon } from 'ui-components/src/images/monochrome-icons/ic-more.svg';
import { ReactComponent as UserIcon } from 'ui-components/src/images/monochrome-icons/ic-user.svg';
import { ReactComponent as CaretDownIcon } from 'ui-components/src/images/monochrome-icons/ic-caret-down.svg';
import { ReactComponent as FilesIcon } from 'ui-components/src/images/monochrome-icons/ic-files.svg';
import { ReactComponent as PieChartIcon } from 'ui-components/src/images/monochrome-icons/ic-piechart.svg';
import { ReactComponent as AccountSettingsIcon } from "ui-components/src/images/monochrome-icons/ic-account-settings.svg";
import netappNIcon from "ui-components/src/images/monochrome-icons/netapp-n-icon.png"
import calendarIcon from "ui-components/src/images/monochrome-icons/calendar-icon.png"
import commentIcon from "ui-components/src/images/monochrome-icons/comment-icon.png"

import { ReactComponent as LogoAws } from 'ui-components/src/images/third-party-services/logo-aws.svg';
import { ReactComponent as LogoAzure } from 'ui-components/src/images/third-party-services/logo-azure.svg';
import { ReactComponent as LogoGoogleCloud } from 'ui-components/src/images/third-party-services/logo-google-cloud.svg';
import { ReactComponent as AwsLogo } from 'ui-components/src/images/third-party-services/ic-aws.svg';
import { ReactComponent as GcpLogo } from 'ui-components/src/images/third-party-services/ic-gcp.svg';
import { ReactComponent as OnPremLogo } from 'ui-components/src/images/third-party-services/ic-on-prem.svg';
import { ReactComponent as AzureLogo } from 'ui-components/src/images/third-party-services/ic-microsoft.svg';

import { ReactComponent as AzureBlobIcon } from 'ui-components/src/images/protocol-endpoints-icons/azure-blob.svg';
import { ReactComponent as CifsIcon } from 'ui-components/src/images/protocol-endpoints-icons/cifs.svg';
import { ReactComponent as EfsIcon } from 'ui-components/src/images/protocol-endpoints-icons/efs.svg';
import { ReactComponent as GcpIcon } from 'ui-components/src/images/protocol-endpoints-icons/gcp.svg';
import { ReactComponent as IbmStorageIcon } from 'ui-components/src/images/protocol-endpoints-icons/ibm-storage.svg';
import { ReactComponent as NfsIcon } from 'ui-components/src/images/protocol-endpoints-icons/nfs.svg';
import { ReactComponent as S3Icon } from 'ui-components/src/images/protocol-endpoints-icons/s3.svg';
import { ReactComponent as StorageGridIcon } from 'ui-components/src/images/protocol-endpoints-icons/storage-grid.svg';

storiesOf('Icons', module)
    .add('NetApp Services Icons', () => (
        <div className="icons-gallery" style={{width: 1135, margin: 'auto'}}>
            <div>
                <NetAppLogo/>
                <div>NetApp</div>
            </div><div>
                <CloudInsightLogo/>
                <div>Cloud Insight</div>
            </div>
            <div>
                <CloudSentryLogo/>
                <div>Cloud Sentry</div>
            </div>
            <div>
                <CloudSyncLogo/>
                <div>Cloud Sync</div>
            </div>
            <div>
                <CloudTieringLogo/>
                <div>Cloud Tiering</div>
            </div>
            <div>
                <CvoLogo/>
                <div>Cloud Volumes Ontap</div>
            </div>
            <div>
                <CvsLogo/>
                <div>Cloud Volumes Service</div>
            </div>
            <div>
                <KubernetesLogo/>
                <div>Kubernetes</div>
            </div>
            <div>
                <SaasBackupLogo/>
                <div>Saas Backup</div>
            </div>
            <div>
                <CloudBackupLogo/>
                <div>Saas Backup</div>
            </div>
            <div>
                <NativeLogo/>
                <div>Native Services</div>
            </div>
            <div>
                <NetAppLogoFull className="blue-fill" style={{height: 52}}/>
                <div>NetApp</div>
            </div>
        </div>))
    .add('2 Colors Icon Set', () => (
        <div className="icons-gallery" style={{width: 1135, margin: 'auto'}}>
            <div>
                <AssessmentIcon/>
                <div>Assessment</div>
            </div>
            <div>
                <CaseStudyIcon/>
                <div>Case Study</div>
            </div>
            <div>
                <ClientManagementIcon/>
                <div>Client Management</div>
            </div>
            <div>
                <CommissionsExplainedIcon/>
                <div>Commissions Explained</div>
            </div>
            <div>
                <ContactUsIcon/>
                <div>Contact Us</div>
            </div>
            <div>
                <DemoIcon/>
                <div>Demo</div>
            </div>
            <div>
                <DocumentIcon/>
                <div>Document</div>
            </div>
            <div>
                <DocumentationIcon/>
                <div>Documentation</div>
            </div>
            <div>
                <FaqIcon/>
                <div>FAQ</div>
            </div>
            <div>
                <FeatureFlagsIcon/>
                <div>Feature Flags</div>
            </div>
            <div>
                <IntegrationInstructionsIcon/>
                <div>Integration Instructions</div>
            </div>
            <div>
                <MailingListIcon/>
                <div>Mailing List</div>
            </div>
            <div>
                <MonthlyDemoIcon/>
                <div>Monthly Demo</div>
            </div>
            <div>
                <PartnersIcon/>
                <div>Partners</div>
            </div>
            <div>
                <PressReleaseIcon/>
                <div>Press Release</div>
            </div>
            <div>
                <ProtectionLogo/>
                <div>Protection</div>
            </div>
            <div>
                <RocketIcon/>
                <div>Rocket</div>
            </div>
            <div>
                <SalesBellIcon/>
                <div>Sales Bell</div>
            </div>
            <div>
                <SalesEnablementIcon/>
                <div>Sales Enablement</div>
            </div>
            <div>
                <StyleGuideIcon/>
                <div>Style Guide</div>
            </div>
            <div>
                <TrainingIcon/>
                <div>Training</div>
            </div>
            <div>
                <VideoIcon/>
                <div>Video</div>
            </div>
            <div>
                <WebinarIcon/>
                <div>Webinar</div>
            </div>
            <div>
                <ConnectionManagementIcon/>
                <div>Connection Management</div>
            </div>
            <div>
                <UserManagementIcon/>
                <div>User Management</div>
            </div>
            <div>
                <WorkspaceIcon/>
                <div>Workspace</div>
            </div>
        </div>))
    .add('Workloads Icons', () => (
        <div className="icons-gallery two-colors-icons" style={{width: 1135, margin: 'auto'}}>
            <div>
                <DisasterRecoveryIcon/>
                <div>Disaster Recovery</div>
            </div>
            <div>
                <EnterpriseApplicationIcon/>
                <div>Enterprise Application</div>
            </div>
            <div>
                <SaasApplicationsIcon/>
                <div>SaaS Applications</div>
            </div>
            <div>
                <SaasDataBackupIcon/>
                <div>SaaS Data Backup</div>
            </div>
            <div>
                <FileServicesIcon/>
                <div>File Services</div>
            </div>
            <div>
                <AnalyticsIcon/>
                <div>Analytics</div>
            </div>
            <div>
                <DevopsIcon/>
                <div>DevOps</div>
            </div>
            <div>
                <DatabaseIcon/>
                <div>Database</div>
            </div>
        </div>))
    .add('Monochrome Icons', () => (
        <div className="icons-gallery" style={{width: 1135, margin: 'auto'}}>
            <div>
                <AgentIcon/>
                <div>Agent</div>
            </div>
            <div>
                <ArrowCircleIcon/>
                <div>Arrow Circle</div>
            </div>
            <div>
                <XCircle/>
                <div>X Circle</div>
            </div>
            <div>
                <XIcon/>
                <div>X Icon</div>
            </div>
            <div>
                <OopsCloud/>
                <div>Oops Cloud</div>
            </div>
            <div>
                <BackArrow/>
                <div>Back Arrow</div>
            </div>
            <div>
                <BulletChevron/>
                <div>Bullet Chevron</div>
            </div>
            <div>
                <EditPencil/>
                <div>Edit Pencil</div>
            </div>
            <div>
                <FabricView/>
                <div>Fabric View</div>
            </div>
            <div>
                <Tooltip/>
                <div>Tooltip</div>
            </div>
            <div>
                <img src={netappNIcon} alt="NetApp Logo"/>
                <div>NetApp Icon</div>
            </div>
            <div>
                <img src={calendarIcon} alt="Calendar"/>
                <div>Calendar</div>
            </div>
            <div>
                <img src={commentIcon} alt="Comment"/>
                <div>Comment</div>
            </div>
            <div>
                <BarChart/>
                <div>Bar Chart</div>
            </div>
            <div className="blue-background">
                <ProtectionIcon/>
                <div>Protection</div>
            </div>
            <div className="blue-background">
                <SavingsIcon/>
                <div>Savings</div>
            </div>
            <div>
                <NotifyIcon/>
                <div>Notify</div>
            </div>
            <div>
                <NEArrowIcon className="blue-circle"/>
                <div>NorthEast Arrow Circle</div>
            </div>
            <div>
                <SettingsIcon/>
                <div>Settings</div>
            </div>
            <div>
                <AccountAdminIcon/>
                <div>Account Admin</div>
            </div>
             <div>
                <AccountSettingsIcon/>
                <div>Account Settings Icon</div>
            </div>
            <div>
                <MoreIcon/>
                <div>More</div>
            </div>
            <div>
                <UserIcon/>
                <div>User</div>
            </div>
            <div>
                <CaretDownIcon/>
                <div>Caret Down</div>
            </div>
            <div>
                <FilesIcon/>
                <div>Files</div>
            </div>
            <div>
                <PieChartIcon/>
                <div>Pie chart</div>
            </div>
        </div>))
    .add('Third Party Icons', () => (
        <div className="icons-gallery" style={{width: 1135, margin: 'auto', fontSize: 14}}>
            <div>
                <LogoAws/>
                <div>AWS Logo</div>
            </div>
            <div>
                <LogoAzure/>
                <div>Azure Logo</div>
            </div>
            <div>
                <LogoGoogleCloud style={{maxWidth: 128}}/>
                <div>Google Cloud Logo</div>
            </div>
            <div className="blue-background">
                <AwsLogo/>
                <div>AWS Monochrome</div>
            </div>
            <div className="blue-background">
                <GcpLogo/>
                <div>GCP Monochrome</div>
            </div>
            <div className="blue-background">
                <OnPremLogo/>
                <div>OnPrem Monochrome</div>
            </div>
            <div className="blue-background">
                <AzureLogo/>
                <div>Azure Monochrome</div>
            </div>
        </div>))
    .add('Protocol Endpoint Icons', () => (
        <div className="icons-gallery" style={{width: 1135, margin: 'auto', fontSize: 14}}>
            <div className="protocol-endpoint">
                <AzureBlobIcon/>
                <div>Azure Blob</div>
            </div>
            <div className="protocol-endpoint">
                <CifsIcon/>
                <div>CIFS Server</div>
            </div>
            <div className="protocol-endpoint">
                <EfsIcon/>
                <div>AWS EFS</div>
            </div>
            <div className="protocol-endpoint">
                <GcpIcon/>
                <div>Google Cloud</div>
            </div>
            <div className="protocol-endpoint">
                <IbmStorageIcon/>
                <div>IBM Object Storage</div>
            </div>
            <div className="protocol-endpoint">
                <NfsIcon/>
                <div>NFS Server</div>
            </div>
            <div className="protocol-endpoint">
                <S3Icon/>
                <div>AWS S3</div>
            </div>
            <div className="protocol-endpoint">
                <StorageGridIcon/>
                <div>Storage Grid</div>
            </div>
            
        </div>));