const logger = require('./Logger');

class TestLogger {
    constructor(testName) {
        this.prefix = `[DescribeName: ${testName}]`;
    }

    setPrefix(testName) {
        this.prefix = `[TestName: ${testName}]`;
    }

    info(msg) {
        logger.info(`${this.prefix}: ${msg}`);
    }

    warning(msg) {
        logger.warning(`${this.prefix}: ${msg}`);
    }

    error(msg) {
        logger.error(`${this.prefix}: ${msg}`);
    }

    debug(msg) {
        logger.debug(`${this.prefix}: ${msg}`);
    }
}

module.exports = TestLogger;