const Promise = require('bluebird');

// const waitUntilComplete = async (context, asyncAction, actionParams, asyncActionParse, expectedResults, timeout, interval) => {
//
//     const endTime = Number(new Date()) + timeout;
//
//     const helper = async (endTime) => {
//         const newEndTime = Number(new Date()) + interval;
//
//         if (newEndTime > endTime) {
//             return Promise.reject(new Error('Time out exceeded'));
//         }
//         try {
//             const result = await asyncAction.apply(context, actionParams);
//             const parsedResult = asyncActionParse(result);
//             if(_.isEqual(JSON.stringify(parsedResult), JSON.stringify(expectedResults))) {
//                 return Promise.resolve(result);
//             } else {
//                 await Promise.delay(interval);
//                 return helper(endTime);
//             }
//         } catch (e) {
//             console.error(e);
//         }
//
//     };
//     return helper(endTime);
// };

exports.waitUntilComplete = (predicate, timeout, interval) => {

    const endTime = Number(new Date()) + timeout;

    const helper = (endTime) => {
        const newEndTime = Number(new Date()) + interval;

        if (newEndTime > endTime) {
            return Promise.reject(new Error('Time out exceeded'));
        }

        return predicate()
            .catch(() => {
                return Promise.delay(interval)
                    .then(() => {
                        return helper(endTime);
                    })
            });
    };
    return helper(endTime);
};
