const AWS = require('aws-sdk');

class AwsConfigClient {

    constructor(logger, region, credentials) {
        this.logger = logger;
        AWS.config.update({region: region});
        AWS.config.update(credentials);
    }

    setRegion(region) {
        AWS.config.update({region: region});
    }

    setCredentials(accessKey, secretKey) {
        AWS.config.update({accessKeyId: accessKey, secretAccessKey: secretKey});
    }
}

module.exports = AwsConfigClient;
