const Auth0Client = require('./auth0/Auth0Client');
const EC2Client = require('./aws/EC2Client');
const AwsConfigClient = require('./aws/AwsConfigClient');
const DynamoDbClient = require('./aws/DynamoDbClient');
const OccmClient = require('./cloud-central/OccmClient');
const governanceClient = require('./cloud-central/GovernanceClient');
const cloudCentralClient = require('./cloud-central/CloudCentralClient');
const Constants = require('./Constants');

const initializeClients = (logger) => {
    logger.info("Creating Clients");
    const Clients = {
        auth0Client: new Auth0Client(logger),
        awsConfigClient: new AwsConfigClient(this.logger, Constants.virginia, {accessKeyId: Constants.accessKey, secretAccessKey: Constants.secretKey}),
        ec2Client: new EC2Client(logger, {accessKeyId: Constants.accessKey, secretAccessKey: Constants.secretKey, region: Constants.virginia, logger: logger}),
        dynamodbClient:new DynamoDbClient(logger, {accessKeyId: Constants.accessKey, secretAccessKey: Constants.secretKey, region: Constants.virginia, logger: logger}),
        occmClient: new OccmClient(logger),
        governanceClient: new governanceClient(logger),
        cloudCentralClient: new cloudCentralClient(logger)
    };
    logger.info ("Done Creating all clients");
    return Clients;
};

module.exports = initializeClients;