import React from 'react';
import styles from './AppFooter.module.scss';
import { Link } from 'react-router-dom'
import { connect } from 'react-redux'
import {openDialog} from './dialog/Dialog';
import { ContactUsDialog } from "./dialog/ContactUsDialogs";
import className from "classnames";
import ExternalLink from "./widgets/ExternalLink"

const AppFooter = ({ auth: {isNetAppInternal}}) => (
    <footer className={styles.root}>
        <Link to="/developer-hub" className={styles['api-docs']}>
            <span>API</span>
        </Link>
        <ExternalLink linkKey="mainNav.statusPage" className={styles['services-status']} newTab={true}>
            <span>Services Status</span>
        </ExternalLink>
        { isNetAppInternal &&  <Link to="/netapp-internal" className={styles.internal}>
            <span>NetApp Internal</span>
        </Link>
        }
        <div className={styles.notice}>
            <div className={styles.text}>
                <span>© 2018 NetApp, Inc.  |   </span>
                <button className={className(styles.contact)} onClick={(el) => openDialog(<ContactUsDialog className="contact-us-dialog"/>, el.target)}>Provide Feedback</button>
            </div>
        </div>
    </footer>
);

const mapStateToProps = state => {
    return {
        auth: state.auth
    };
};

export default connect(mapStateToProps)(AppFooter)