import React from "react";
import classNames from "classnames";
import styles from "./Accounts.module.scss"
import { adjustPopupToBeInViewport } from "./AccountManagementUtils"

class UserPopUpMenu extends React.Component {
    constructor(props) {
        super(props);

        this.userPopUpMenu = React.createRef();
    }

    componentDidMount() {
        adjustPopupToBeInViewport(this.userPopUpMenu.current, 20);
    }

    render() {
        return (
            <div className={styles["popup-overlay"]} onClick={() => this.props.closeUserMenu()}>
                <div className={classNames(styles["popup"], styles["user-popup-menu"])}
                     style={{ top: this.props.baseTop + (this.props.rowHeight * this.props.rowIndex) }}
                     ref={this.userPopUpMenu}>
                    <div className={styles["user-popup-menu-item"]}>
                        <button disabled={this.props.isLastUserInAccount || this.props.user.userClientId === this.props.loggedInUserId}
                                onClick={() => this.props.disassociateUserPrompt({ user: this.props.user })}>Disassociate User
                        </button>
                        {this.props.isLastUserInAccount &&
                        <div className={styles["user-popup-menu-item-popover"]}>Last account admin cannot be disassociated</div>}
                        {this.props.user.userClientId === this.props.loggedInUserId &&
                        <div className={styles["user-popup-menu-item-popover"]}>User cannot disassociate itself</div>}
                    </div>
                    {this.props.user.userRole === "Role-2" && <div className={styles["user-popup-menu-item"]}>
                        <button onClick={() => this.props.manageUserWorkspacesPrompt({ user: this.props.user })}>Manage Workspaces</button>
                    </div>}
                </div>
            </div>
        );
    }
}

export default UserPopUpMenu;
