import React from "react";
import { ReactComponent as CaretDownIcon } from "ui-components/src/images/monochrome-icons/ic-caret-down.svg";
import styles from "./Accounts.module.scss";

const generateWorkspacesDisplayString = (workspaces, role = 'Role-2') => {
    if (!workspaces.length && role === 'Role-1') return (<span>All Workspaces</span>);
    if (!workspaces.length && role === 'Role-2') return (<span>None</span>);
    if (workspaces.length === 1) {
        return (<span className={styles["first-workspace-name"]}>{workspaces[0].workspaceName}</span>);
    }

    return (<span>
        <span className={styles["first-workspace-name"]}>{workspaces[0].workspaceName}</span>
        <span>&nbsp;{` + ${workspaces.length - 1}`}</span>
        <CaretDownIcon/>
    </span>);
};

const WorkspacesCellRenderer = props => (
    <div className={styles["workspaces-cell"]}
         style={{ cursor: props.data.workspaces.length > 1 ? 'pointer' : '' }}
         onClick={() => (props.data.workspaces.length > 1) && props.context.openAssociatedWorkspacesPopUp({
             data: props.data,
             rowIndex: props.context.getRowFilteredIndex(props)
         })}>
        {generateWorkspacesDisplayString(props.data.workspaces, props.data.userRole)}
    </div>
);

export default WorkspacesCellRenderer;
