import React from 'react'
import BarLoader from "./../bar-loader/BarLoader"
import DontExit from "./../functional/DontExit"
import { ReactComponent as FlyingClock } from './pending-components/flying-clock-icon.svg';

const PendingContainer = ({showDurationMessage}) => <div className="pending-container">
    <DontExit/>
    <h2>
        <svg xmlns="http://www.w3.org/2000/svg" width="15" height="16" viewBox="0 0 15 16" style={{width: 28, height: 28, marginRight: 15}}>
            <path fill="#3d84ff" d="M0 6h3v10H0V6zm6-6h3v16H6V0zm6 9h3v7h-3V9z"/>
        </svg>
        Cloud Assessment
    </h2>
    <p>Please wait while we analyze your environment...</p>
    <div className="loading-container">
        <BarLoader/>
    </div>
    {showDurationMessage && <div className="duration-message">
        <FlyingClock/>
        <p>This process can take around 3 min</p>
    </div>}
</div>;

export default PendingContainer;