import React from 'react'
import ExternalLink from "./../../widgets/ExternalLink";
import { ReactComponent as CalculatorIcon } from './calculator-icon.svg';
import {RightChevron} from "./Icons";
import styles from "../CloudAssessmentView.module.scss";

const ServicePoint = ({header, text, startLinkKey, readMoreLinkKey}) => <div className="service-point">
    <h4>{header}</h4>
    <p>{text}</p>
    <ExternalLink linkKey={startLinkKey} className={styles["sales-pitch-btn"]}>
        Let's Get Started
    </ExternalLink><ExternalLink linkKey={readMoreLinkKey} className="read-more" newTab>
        Learn More
        <RightChevron/>
    </ExternalLink>
</div>;

export default ({title, serviceName, ontapName, provider, cloudVolumesServiceLinkKey, tcoCalculatorLinkKey, readMoreLinkKey}) => <div className="sales-pitch">
    <header>
        <h3>
            {title}
        </h3>
    </header>
    <div className="choose-service">
        <ServicePoint header={`Cloud Volume ONTAP with ${provider}`} text="A customer-managed solution providing full ONTAP capabilities" startLinkKey="cloudAssessment.summary.startCloudVolumesOntap" readMoreLinkKey="cloudAssessment.summary.readMoreCloudVolumesOntap"/>
        <ServicePoint header={serviceName} text="Fully managed cloud storage service delivered by NetApp" startLinkKey={cloudVolumesServiceLinkKey} readMoreLinkKey={readMoreLinkKey}/>
    </div>
    <div className="calculator-banner">
        <div className="oval"/>
        <div className="icon"><CalculatorIcon/></div>
        Want to figure out your {provider} TCO costs? <ExternalLink linkKey={tcoCalculatorLinkKey} newTab>Try our {provider} TCO Calculator</ExternalLink>
    </div>
</div>