import React from "react";
import  ExternalLink from "../widgets/ExternalLink";
import styles from "./MonthlyDemosView.module.scss";
import ReactMarkdown from "react-markdown";
import { ReactComponent as DemoIcon } from 'ui-components/src/images/2-colors-icons/ic-monthly-demo.svg';
import classNames from "classnames";
import cssGrid from "ui-components/src/grid/grid.module.scss";
import layout from "ui-components/src/layout/layout.module.scss";

const demos = [{
    date: "Feb 13, 2019",
    agenda: `
1. CVS for AWS – Graham Smith 15 min
2. Automating a CVS for AWS environment - Prabu Arjunan 15 min
3. Cloud Manager – Oren Inbar 5 min
4. Cloud Tiering – Oren Inbar 15 min
    `,
    href: "https://netapp-meeting.webex.com/netapp-meeting/lsr.php?RCID=23ef02eab4f54e649ac73a5eb87f2a4d",
}, {
    date: "Jan 09, 2019",
    agenda: `
1. Update on CVS for GCP
2. OCCM (Placement group in AWS HA single zone, Ransomware protection, New Backup policies)`,
    href: "https://netapp-meeting.webex.com/netapp-meeting/lsr.php?RCID=7b187713befe460f8baa7d1d761331c5",
}, {
    date: "Dec 12, 2018",
    agenda: `
1. CVO & OCCM
    * AWS cost page
    * Trident integration
    * Multiple Cloud providers accounts
    * Azure HA
    * AWS new instance types
    `,
    href: "https://netapp-my.sharepoint.com/:v:/p/oreni/ESyC3MlKcYRPoBD9bc4qmRgBRLDn4DHT26jMiFliryYunQ?e=oSc9tr",
}, {
  date: "Dec 11th, 2018",
  agenda: `
  1. Cloud Central
  `,
  href: ": https://netapp.sharepoint.com/sites/EMEA-Marketing/CloudMarketing/Shared%20Documents/Forms/AllItems.aspx?id=%2Fsites%2FEMEA-Marketing%2FCloudMarketing%2FShared%20Documents%2FPROGRAMS%2FCloud%20Central%20Webcast%20program%2FMartin%20Warren%27s%20Meeting%20Room-20181211%200834-1%2Emp4&parent=%2Fsites%2FEMEA-Marketing%2FCloudMarketing%2FShared%20Documents%2FPROGRAMS%2FCloud%20Central%20Webcast%20program&p=true&slrid=be00ab9e-0047-7000-60e0-1111e2197919"
}, {
        date: "Nov 14, 2018",
        agenda: `
1. Introduction to Cloud Backup service
2. Cloud Sync – GCP object storage`,
        href: "https://netapp-meeting.webex.com/netapp-meeting/lsr.php?RCID=6008e1f18f7c4101a2d180e6c58ff4a1",
}, {
        date: "Oct 10, 2018",
        agenda: `
1. Introduction to Cloud Secure Service – Amit Schwartz
2. Introduction to NetApp Kubernetes Service (formerly Stackpoint.io) – Ariel Jatib
3. Updates in TCO calculator for Cloud Volumes ONTAP – Oren Inbar
4. Cloud Manager Azure setup wizard - Oren Inbar
`,
        href: "https://netapp-meeting.webex.com/netapp-meeting/lsr.php?RCID=781e7385120248f193f52eb7b29d6003",
}, {
        date: "Aug 8, 2018",
        agenda: `
1. Cloud Sync:
    * SGWS
    * IBM Object Storage Cloud
2. Cloud Volumes ONTAP & Cloud Manager
3. Cloud WORM
4. Simplified setup wizard for OCCM in Azure
`,
        href: "https://netapp-meeting.webex.com/netapp-meeting/lsr.php?RCID=fffa6c48cf544ee1aec7f05a22ab3269",
}, {
        date: "July 11, 2018",
        agenda: `
1. Cloud Central
    * Internal pages
    * Assessment tool
2. Cloud Sync
    * Azure Blob
    * Grouping data brokers
3. Cloud Volumes ONTAP & Cloud Manager
    * 9.4 GA & AWS GovCloud PAYGO
    * Tiering level
    * New volumes and aggregates cards
    * Azure managed service identity`,
        href: "https://netapp-my.sharepoint.com/:v:/p/oreni/ETaKeodttVhGsfaQF411bdkBaW5bYnO6cAGJPgLe8D39tw?e=Z9x4OY",
}, {
        date: "June 13, 2018",
        agenda: `
1. 10 minutes: Cloud Central updates – Oren Inbar
2. 15 minutes: Cloud Insights – Keren Dagan
3. 20 minutes: Cloud Volumes Service – Alim Karim
4. 10 minutes: Cloud Manager & Cloud Volumes ONTAP – Oren Inbar`,
        href: "https://netapp-meeting.webex.com/netapp-meeting/lsr.php?RCID=1ce3cf30400e4d8698b7ac6531b2aaf0",
}, {
        date: "April 25, 2018",
        agenda: `
1. 10 minutes: Cloud central demo
2. 20 minutes: SaaS Backup demo
3. 20 minutes: Cloud Manager demo`,
        href: "https://netapp-meeting.webex.com/netapp-meeting/lsr.php?RCID=b4747f42081549118e17a6f547164706",
}];

export default () => <div className={layout["main-content-container"]}>
        <h4><DemoIcon/>Monthly Demos</h4>
        <div className={classNames(cssGrid["col-1-sm"], cssGrid["col-2-md"], cssGrid["col-2-lg"])}>
            {demos.map(demo => {
                return <ExternalLink className={styles["home-info-card"]} href={demo.href} linkKey={`internal.demos.${demo.date}`} key={demo.date} newTab>
                    <span className={styles.title}>{demo.date}</span>
                    <ReactMarkdown className={styles.details} source={demo.agenda}/>
                </ExternalLink>
            })}
        </div>
    </div>
