export default {
    productName: 'Cloud Volumes Service for Google Cloud',
    contactMail: "gcp-sales@netapp.com",
    technicalDocumentation: "https://cloud.google.com/solutions/partners/netapp-cloud-volumes-service",
    onPremAssessment: "https://ca.netapp.com/",
    demo: "https://fieldportal.netapp.com/content/850898?assetComponentId=852643",
    gettingStarted: [
        {
            title: "I need to learn the value of the service",
            agenda: `
* View product videos
* Read solution briefs and whitepapers
* Read blog posts`,
            link: "/netapp-internal/cloud-volumes-service/google/customer-content",
        },
        {
            title: "I need to learn how to pitch the service",
            agenda: `
* View sales guides and training
* Lead qualifying conversations
* Ask common seller questions`,
            link: "/netapp-internal/cloud-volumes-service/google/sales-tools",
        },
        {
            title: "I need to give a presentation",
            agenda: `
* Download a customer deck`,
            link: "/netapp-internal/cloud-volumes-service/google/sales-tools?card=Customer Presentation: Cloud Volumes Service for Google Cloud Platform",
        },
        {
            title: "I need to give a demo",
            agenda: `
* Access a live demo environment`,
            linkKey: "internal.sales.cloudVolumesService.cloudVolumesServiceGoogle.demo",
            href: "https://fieldportal.netapp.com/content/850898?assetComponentId=852643"
        },
        {
            title: "I need to place an order",
            agenda: `
* Create an opportunity
* Understand how I get paid
* Know if my customer is using the service`,
            link: "/netapp-internal/cloud-volumes-service/google/sales-tools?card=Sales FAQ: NetApp Cloud Volumes Service for GCP Overview for NetApp Sellers"
        },
        {
            title: "I need to understand",
            agenda: `
* How do I get paid`,
            linkKey: "internal.sales.cloudVolumesService.cloudVolumesServiceGoogle.HowDoIGetPaid",
            href:"https://netapp.hosted.panopto.com/Panopto/Pages/Viewer.aspx?id=2c96974b-0ef7-4b3c-9c4b-a97d01766edc"
        },
        {
            title: "I need to get more partner help",
            agenda: `
* Learn about the CloudFirst Partner program
* Understand how partners make money`,
            link: "/netapp-internal/cloud-volumes-service/google/sales-tools?card=CloudFirst Partner Program Guide",
        },
        {
            title: "I need to get more seller help",
            agenda: `
* Contact the NetApp GCP sales team
* Learn how to work with Google`,
            contactMail: "gcp-sales@netapp.com",
        },
        {
            title: "I need to know what's coming",
            agenda: `
* New roadmap capabilities
* New cloud regions coming`,
            link: "/netapp-internal/cloud-volumes-service/google/sales-tools?card=Cloud Volumes Service for GCP Product Roadmap",
        },
        {
            title: "I need more in-depth training",
            agenda: `
* Take NetAppU training courses`,
            link: "/netapp-internal/cloud-volumes-service/google/sales-tools?card=Selling Cloud Volumes Service",
        }
    ],
    whatsNew: [
        {
            title: "Enterprise Apps - Workload Content",
            agenda: `
* New customer-facing benchmarks, blogs and content for workloads on Cloud Volumes Service for GCP`,
            link: "/netapp-internal/cloud-volumes-service/google/customer-content?card=Blog: An Introduction to Cloud Volumes Service for GCP",
        },
        {
            title: "Enterprise Apps - Workload Selling Tools",
            agenda: `
* New seller presentation decks, guides, scripts for workloads on Cloud Volumes Service for GCP`,
            link: "/netapp-internal/cloud-volumes-service/google/sales-tools",
        },
        {
            title: "New NetAppU Course - Selling Cloud Volumes Service",
            agenda: `
* New seller training course on prospecting opportunities and conducting co-discovery conversations for Cloud Volumes Service`,
            link: "/netapp-internal/cloud-volumes-service/google/sales-tools?card=Selling Cloud Volumes Service",
        }
    ],
    customerContent: [
        {
            title: 'Why NetApp Cloud Volumes Service for Google Cloud?',
            tags: ["Nov 2018", "Infographic"],
            description: 'This infographic concisely summarizes benefits of using Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.WhyNetAppCloudVolumesServiceForGoogleCloud',
            href: "https://fieldportal.netapp.com/content/819700?assetComponentId=821339"
        },
        {
            title: 'NetApp Cloud Volumes Service for Google Cloud',
            tags: ["Oct 2018", "Brief"],
            description: 'This brochure co-branded by NetApp and Google provides a concise overview of Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.NetAppCloudVolumesServiceForGoogleCloud',
            href: "https://fieldportal.netapp.com/content/808689?assetComponentId=810309"
        },
        {
            title: 'Cloud Volumes Service for Google Cloud Platform',
            tags: ["Oct 2018", "Brief"],
            description: 'This solution brief co-branded by NetApp and Google provides an overview of Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.CloudVolumesServiceForGoogleCloudPlatform',
            href: "https://fieldportal.netapp.com/content/784481?assetComponentId=786076"
        },
        {
            title: 'Blog: An Introduction to Cloud Volumes Service for GCP',
            tags: ["Feb 2019", "Blog"],
            description: 'This Cloud Central blog post provides a deeper technical overview of Enterprise Apps workloads on Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.BlogAnIntroductionToCloudVolumesServiceForGCP',
            href: "https://cloud.netapp.com/blog/introduction-to-cloud-volumes-service-for-gcp"
        },
        {
            title: 'Blog: Accelerate your Application Migration to Google Cloud Platform with Cloud Sync',
            tags: ["Dec 2018", "Blog"],
            description: 'This Cloud Central blog post provides a deeper technical overview of Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.BlogAccelerateYourApplicationMigrationToGoogleCloudPlatformWithCloudSync',
            href: "https://cloud.netapp.com/blog/accelerate-app-migration-to-gcp-with-netapp-cloud-sync"
        },
        {
            title: 'Enterprise Apps in Google Cloud',
            tags: ["Feb 2019", "Video"],
            description: 'Customer video on Enterprise App workloads in GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.EnterpriseAppsInGoogleCloud',
            href: "https://www.youtube.com/watch?v=05ljn_gken0"
        },
        {
            title: 'Enterprise Apps Benchmarks in Google Cloud',
            tags: ["Feb 2019", "Benchmark"],
            description: 'Published NFS benchmarks on Cloud Central for Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.EnterpriseAppsBenchmarksInGoogleCloud',
            href: "https://cloud.netapp.com/cloud-volumes-service/gcp-benchmarks"
        },
        {
            title: 'Blog: Windows Applications on Google Cloud: A Cloud Volumes Service for GCP SMB Story',
            tags: ["Mar 2019", "Blog"],
            description: 'This Cloud Central blog post provides a deeper technical overview of Windows Apps workloads on Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.BlogWindowsApplicationsOnGoogleCloudACloudVolumesServiceForGCPSMBStory',
            href: "https://cloud.netapp.com/blog/cloud-volumes-service-for-google-cloud-smb-story"
        },
        {
            title: 'Cloud Volumes Service for Google Cloud SMB',
            tags: ["Jan 2019", "Video"],
            description: 'This video walkthrough shows how to use Cloud Volumes Service for Google Cloud for Windows Applications',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.CloudVolumesServiceForGoogleCloudSMB',
            href: "https://www.youtube.com/watch?v=W67tayLORqo&t=5s"
        },
        {
            title: 'Windows Apps Benchmarks in Google Cloud',
            tags: ["Mar 2019", "Benchmark"],
            description: 'Published SMB benchmarks on Cloud Central for Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.WindowsAppsBenchmarksInGoogleCloud',
            href: "https://cloud.netapp.com/cloud-volumes-service/gcp-benchmarks"
        },
        {
            title: 'Experience NetApp Cloud Volumes on Google Cloud Platform',
            tags: ["Sep 2018", "Video"],
            description: 'This brief video walkthrough demonstrates basic creation of a data volume in Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.ExperienceNetAppCloudVolumesOnGoogleCloudPlatform',
            href: "http://tv.netapp.com/detail/video/5834499841001"
        },
        {
            title: 'Implementing Scalable No-Ops File Service with NetApp Cloud Volumes on Google Cloud',
            tags: ["Sep 2018", "Video"],
            description: 'This video walkthrough demonstrates deeper technical capabilities of Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.customerContent.ImplementingScalableNoOpsFileServiceWithNetAppCloudVolumesOnGoogleCloud',
            href: "http://tv.netapp.com/detail/video/5834906480001"
        }
    ],
    salesItems: [
        {
            title: 'Customer Presentation: Cloud Volumes Service for Google Cloud Platform',
            tags: ["Feb 2019", "Presentation"],
            description: 'This is the main customer presentation for Cloud Volumes Service for Google Cloud Platform',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.CustomerPresentationCloudVolumesServiceForGoogleCloudPlatform',
            href: "https://fieldportal.netapp.com/content/746311?assetComponentId=747776"
        },
        {
            title: 'Enterprise Apps with Cloud Volumes Service for GCP',
            tags: ["Mar 2019", "Presentation"],
            description: 'This customer presentation is more focused on Enterprise Apps workloads running on Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.EnterpriseAppsWithCloudVolumesServiceForGCP',
            href: "https://fieldportal.netapp.com/content/866492?assetComponentId=868277"
        },
        {
            title: 'Windows Apps with Cloud Volumes Service for GCP',
            tags: ["Mar 2019", "Presentation"],
            description: 'This customer presentation is more focused on Windows Apps workloads running on Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.WindowsAppsWithCloudVolumesServiceForGCP',
            href: "https://fieldportal.netapp.com/content/872414?assetComponentId=874201"
        },
        {
            title: 'Guide: GCP Sales Enablement for Demo Environment',
            tags: ["Feb 2019", "Guide"],
            description: 'Learn how to access and use a live demo environment for Cloud Volumes Service for GCP for customer demonstrations',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.GuideGCPSalesEnablementForDemoEnvironment',
            href: "https://fieldportal.netapp.com/content/850898?assetComponentId=852643"
        },
        {
            title: 'Sales FAQ: NetApp Cloud Volumes Service for GCP Overview for NetApp Sellers',
            tags: ["Jan 2019", "FAQ"],
            description: 'This FAQ for NetApp salespeople answers common questions about how to sell Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.SalesFAQNetAppCloudVolumesServiceForGCPOverviewForNetAppSellers',
            href: "https://fieldportal.netapp.com/content/784119?assetComponentId=785713"
        },
        {
            title: 'Sales Vignette - Enterprise Application workloads with Cloud Volumes Service for GCP',
            tags: ["Mar 2019", "Guide"],
            description: 'This guide helps sellers understand more about Enterprise Applications workloads running on Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.SalesVignetteEnterpriseApplicationWorkloadsWithCloudVolumesServiceForGCP',
            href: "https://fieldportal.netapp.com/content/872328?assetComponentId=874115"
        },
        {
            title: 'Sales Script: Enterprise Application workloads with CVS for Google Cloud',
            tags: ["Apr 2019", "Script"],
            description: 'Sales Script to help qualify Enterprise Applications workload with CVS for Google Cloud',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.SalesScriptEnterpriseApplicationWorkloadsWithCVSForGoogleCloud',
            href: "https://fieldportal.netapp.com/content/872396?assetComponentId=874183"
        },
        {
            title: 'Sales Vignette - Windows Application workloads with Cloud Volumes Service for GCP',
            tags: ["Mar 2019", "Guide"],
            description: 'This guide helps sellers understand more about Windows Applications workloads running on Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.SalesVignetteWindowsApplicationWorkloadsWithCloudVolumesServiceForGCP',
            href: "https://fieldportal.netapp.com/content/872329?assetComponentId=874116"
        },
        {
            title: 'Field Portal Collection: Cloud Volumes Service for GCP',
            tags: ["Guide"],
            description: 'Browse directly on NetApp Field Portal the entire collection of customer content and selling tools for Cloud Volumes Service for GCP',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.FieldPortalCollectionCloudVolumesServiceForGCP',
            href: "https://fieldportal.netapp.com/collections/704330"
        },
        {
            title: 'Playbook: Inspire Innovation for the Cloud',
            tags: ["Jun 2018", "Playbook"],
            description: 'Advanced Value Selling Playbook for Cloud Data Services',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.PlaybookInspireInnovationForTheCloud',
            href: "https://vplaybook.com/playbook/1826/"
        },
        {
            title: 'Cloud Volumes Service for GCP Product Roadmap',
            tags: ["Mar 2019", "Roadmap"],
            description: 'Internal product roadmap for Cloud Volumes Service for GCP (NetApp field access only; no partner access)',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.CloudVolumesServiceForGCPProductRoadmap',
            href: "https://fieldportal.netapp.com/content/872413?assetComponentId=874200"
        },
        {
            title: 'CloudFirst Partner Program Guide',
            tags: ["Sep 2017", "Guide"],
            description: 'This Program Guide provides an overview of the CloudFirst Partner Program for NetApp partners',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.CloudFirstPartnerProgramGuide',
            href: "https://fieldportal.netapp.com/content/568934?assetComponentId=579207"
        },
        {
            title: 'Selling Cloud Volumes Service',
            tags: ["Feb 2019", "Training"],
            description: 'This NetAppU web-based training course focuses on prospecting opportunities and having co-discovery conversations with potential buyers',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.SellingCloudVolumesService',
            href: "https://fieldportal.netapp.com/content/855219?assetComponentId=856979"
        },
        {
            title: 'Competitive Info: Cloud Volumes Service for GCP vs Elastifile',
            tags: ["Mar 2019", "Competitive"],
            description: 'This guide provides competitive information to position Cloud Volumes Service for GCP against Elastifile for SAP and other workloads',
            linkKey: 'internal.sales.cloudVolumesService.google.salesTools.CompetitiveInfoCloudVolumesServiceForGCPvsElastifile',
            href: "https://fieldportal.netapp.com/content/872639"
        }
    ]
};
