import connect from "react-redux/es/connect/connect";
import React from "react";
import {Dialog} from "../dialog/Dialog";
import SelectCloudVolumesDialog from "./SelectCloudVolumesDialog";
import classNames from "classnames";

const mapDispatchToPropsCVS = dispatch => {
    return {
        openCloudVolumesDialog: (origin) => {
            dispatch({
                type: "LAUNCHPAD:OPEN-CLOUD-VOLUMES-SERVICE-DIALOG",
                payload: {
                    origin
                }
            })
        },
        closeCloudVolumesDialog: () => {
            dispatch({
                type: "LAUNCHPAD:CLOSE-CLOUD-VOLUMES-SERVICE-DIALOG"
            })
        }
    }
};

const mapStateToPropsCVS = state => {
    return {
        cloudVolumesDialogState: state.services.cloudVolumesDialogState
    }
};

export default connect(mapStateToPropsCVS, mapDispatchToPropsCVS)(({cloudVolumesDialogState, openCloudVolumesDialog, closeCloudVolumesDialog, origin, className}) => {
    let buttonRef = React.createRef();

    return <React.Fragment>
        <button className={classNames("link", "transparent", className)} ref={buttonRef} onClick={() => {openCloudVolumesDialog(origin)}}>
            Get Started
        </button>
        <Dialog target={() => buttonRef.current} open={cloudVolumesDialogState === origin} closeTrigger={closeCloudVolumesDialog}>
            <SelectCloudVolumesDialog className="select-cloud-volumes-dialog" trackCategory={origin}/>
        </Dialog>
    </React.Fragment>
});