import React from 'react'
import links from './../../consts/links'
import _ from "lodash";
import { trackExternalLink } from "./../../utils/mrTracker"

export default ({linkKey, href, newTab, children, className, style, title, trackCategory}) => {
    return <a href={href ? href : _.get(links, linkKey)}
              onClick={() => trackExternalLink({linkKey, trackCategory})}
              className={className}
              style={style}
              title={title}
              target={newTab ? "_blank" : undefined}
              rel={newTab ? "noopener noreferrer" : undefined}
              children={children}/>
}

