//Source: https://auth0.com/docs/api/management/v2#!/Users/get_logs_by_user
const auth0LogEventAcronymMapping = {
    s: "Success Login",
    ssa: "Success Silent Auth",
    fsa: "Failed Silent Auth",
    seacft: "Success Exchange (Authorization Code for Access Token)",
    feacft: "Failed Exchange (Authorization Code for Access Token)",
    seccft: "Success Exchange (Client Credentials for Access Token)",
    feccft: "Failed Exchange (Client Credentials for Access Token)",
    sepft: "Success Exchange (Password for Access Token)",
    fepft: "Failed Exchange (Password for Access Token)",
    f: "Failed Login",
    w: "Warnings During Login",
    du: "Deleted User",
    fu: "Failed Login (invalid email/username)",
    fp: "Failed Login (wrong password)",
    fc: "Failed by Connector",
    fco: "Failed by CORS",
    con: "Connector Online",
    coff: "Connector Offline",
    fcpro: "Failed Connector Provisioning",
    ss: "Success Signup",
    fs: "Failed Signup",
    cs: "Code Sent",
    cls: "Code/Link Sent",
    sv: "Success Verification Email",
    fv: "Failed Verification Email",
    scp: "Success Change Password",
    fcp: "Failed Change Password",
    sce: "Success Change Email",
    fce: "Failed Change Email",
    scu: "Success Change Username",
    fcu: "Failed Change Username",
    scpn: "Success Change Phone Number",
    fcpn: "Failed Change Phone Number",
    svr: "Success Verification Email Request",
    fvr: "Failed Verification Email Request",
    scpr: "Success Change Password Request",
    fcpr: "Failed Change Password Request",
    fn: "Failed Sending Notification",
    sapi: "API Operation",
    fapi: "Failed API Operation",
    limit_wc: "Blocked Account",
    limit_mu: "Blocked IP Address",
    limit_ui: "Too Many Calls to /userinfo",
    api_limit: "Rate Limit On API",
    sdu: "Successful User Deletion",
    fdu: "Failed User Deletion",
    slo: "Success Logout",
    flo: "Failed Logout",
    sd: "Success Delegation",
    fd: "Failed Delegation",
    fcoa: "Failed Cross Origin Authentication",
    scoa: "Success Cross Origin Authentication"
};

export default auth0LogEventAcronymMapping;