import axios from "axios";
import _ from "lodash";


export default ({ getState, dispatch, next, action }) => {
    const { type, payload } = action;
    if (type === "SUBSCRIPTIONS:RESOLVE-AWS-TOKEN") {
        const promise = axios.post("/subscriptions/resolve-aws", {
            registrationToken: payload.registrationToken,
            suggestedName: getState().auth.email.split("@")[1]
        });

        promise.then(
            r => dispatch({type: "SUBSCRIPTIONS:RESOLVE-AWS-TOKEN-SUCCESS", payload: r}),
            e => dispatch({type: "SUBSCRIPTIONS:RESOLVE-AWS-TOKEN-ERROR", payload: _.get(e, "response.data.message")}));

        return next({type: "SUBSCRIPTIONS:RESOLVE-AWS-TOKEN-PENDING"});
    }
    return next(action);
};
