import * as actions from "./../actions";
import _ from "lodash";
/*eslint default-case: 0*/

// need this

export default (state = {managementAxiosStatus: actions.STATUS_PENDING}, {payload, type}) => {
    switch (type) {
        case "MANAGEMENT:FETCH-MANAGEMENT-TOKEN-SUCCESS": {
            return {...state, managementAxiosStatus: actions.STATUS_SUCCESS};
        }
        case "MANAGEMENT:FETCH-MANAGEMENT-TOKEN-FAILED": {
            return {...state, managementAxiosStatus: actions.STATUS_ERROR};
        }
        case "MANAGEMENT:FETCH-CONNECTIONS": {
            return {...state, connections: null};
        }
        case "MANAGEMENT:FETCH-CONNECTIONS-SUCCESS": {
            return {...state, connections: payload.connections};
        }
        case "MANAGEMENT:ENABLE-CONNECTION": {
            return {...state, successMessage: null, errorMessage: null};
        }
        case "MANAGEMENT:ENABLE-CONNECTION-SUCCESS": {
            const occmClientsMessage = payload.occmClientIds.length ? `${payload.occmClientIds.length} OCCM clients (OCCM ids: ${payload.occmClientIds.join(',\n')}) associated with users with email domains: ${payload.emailDomains}` : `0 OCCM clients`;
            const successMessage = `Enabled connection "${payload.connectionName}" for company "${payload.companyName}":\n1. Successfully enabled all ${payload.generalClientsCount} general clients and ${occmClientsMessage}\n2. created rule-config.`;
            return {...state, successMessage};
        }
        case "MANAGEMENT:ENABLE-CONNECTION-ERROR": {
            return {...state, errorMessage: payload};
        }
        case "MANAGEMENT:DISABLE-CONNECTION": {
            return {...state, successMessage: null, errorMessage: null};
        }
        case "MANAGEMENT:DISABLE-CONNECTION-SUCCESS": {
            return {...state, successMessage: payload.message};
        }
        case "MANAGEMENT:DISABLE-CONNECTION-ERROR": {
            return {...state, errorMessage: payload};
        }
        case "MANAGEMENT:CLEAR-CONNECTIONS-MESSAGES": {
            return { ...state, errorMessage: null, successMessage: null };
        }
        case "MANAGEMENT:SEARCH-USERS-BY-EMAIL-PENDING": {
            return { ...state, errorMessage: null, searchBarErrorMessage: null, users: null, userLogs: null, searchInputPending: true};
        }
        case "MANAGEMENT:SEARCH-USERS-BY-EMAIL-SUCCESS": {
            const noResultsMessage = _.isEmpty(payload.users) ? `No users found with email "${payload.userEmail}"` : null;
            const searchBarErrorMessage = payload.firstGetBlocksError || noResultsMessage;
            return { ...state, users: payload.users, searchBarErrorMessage, searchInputPending: null };
        }
        case "MANAGEMENT:SEARCH-USERS-BY-EMAIL-ERROR": {
            return { ...state, searchBarErrorMessage: payload.message, searchInputPending: null };
        }
        case "MANAGEMENT:UNBLOCK-USER-PENDING": {
            return {...state, userLogs: null,  errorMessage: null, currentUserMenu: null};
        }
        case "MANAGEMENT:UNBLOCK-USER-ERROR": {
            return {...state, errorMessage: payload.message};
        }
        case "MANAGEMENT:GENERATE-PASSWORD-CHANGE-TICKET-PENDING": {
            return { ...state, successMessage: null, errorMessage: null, currentUserMenu: null, loading: true }
        }
        case "MANAGEMENT:GENERATE-PASSWORD-CHANGE-TICKET-SUCCESS": {
            return { ...state, successMessage: `Ticket URL: ${payload.resetPasswordUrl}`, loading: null }
        }
        case "MANAGEMENT:GENERATE-PASSWORD-CHANGE-TICKET-ERROR": {
            return { ...state, errorMessage: payload.message, loading: null }
        }
        case "MANAGEMENT:GET-USER-LOGS-PENDING": {
            return {
                ...state,
                userLogs: null,
                errorMessage: null,
                currentUserMenu: null,
                successMessage: null,
                loading: true
            }
        }
        case "MANAGEMENT:GET-USER-LOGS-SUCCESS": {
            return { ...state, userLogs: payload.logs, loading: null }
        }
        case "MANAGEMENT:GET-USER-LOGS-ERROR": {
            return { ...state, errorMessage: payload.message, loading: null }
        }
        case "MANAGEMENT:RESET-USER-MFA-PENDING": {
            return { ...state, errorMessage: null, currentUserMenu: null, successMessage: null, loading: true }
        }
        case "MANAGEMENT:RESET-USER-MFA-SUCCESS": {
            return { ...state, successMessage: 'Successfully reset MFA for user', loading: null }
        }
        case "MANAGEMENT:RESET-USER-MFA-ERROR": {
            return { ...state, errorMessage: payload.message, loading: null }
        }
        case "MANAGEMENT:OPEN-USER-MENU": {
            return {...state, currentUserMenu: payload}
        }
        case "MANAGEMENT:CLOSE-USER-MENU": {
            return {...state, currentUserMenu: null}
        }
    }
    return state;
};